Bug 1147466 - xarchiver-0.5.4 is available
Summary: xarchiver-0.5.4 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-29 09:59 UTC by Upstream Release Monitoring
Modified: 2016-02-01 02:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 19:54:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1122171 None None None Never

Internal Links: 1122171

Description Upstream Release Monitoring 2014-09-29 09:59:51 UTC
Latest upstream release: 0.5.4
Current version/release in Fedora Rawhide: 0.5.2-21.fc22
URL: http://sourceforge.net/api/file/index/project-name/xarchiver/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Isaque Galdino 2014-11-30 13:22:39 UTC
Current version: 0.5.2 can't open rar files correctly - it mess with the file content. This is due to the fact that rar changed output format from version 4 to 5.

I've compiled and run 0.5.4 in my F20 and it works right.

Please consider updating this to F20 because 0.5.2 is unusable for rar files.

Thanks.

Comment 2 Jan Pokorný [poki] 2015-03-20 08:27:32 UTC
I've checked that unability to open XZ compressed files (*.tar.xz
archives in particular, [bug 1122171 comment 1]) seems to be fixed
with 0.5.4 at latest, as tested with experimental COPR build:

https://copr-fe.cloud.fedoraproject.org/coprs/jpokorny/xarchiver/build/82431/

The changes made on top of the current specfile are pretty minimalistic
(I revamped summary and description though), feel free to reuse in
"production builds".

Comment 3 Upstream Release Monitoring 2015-03-31 19:50:54 UTC
jcapik's xarchiver-0.5.4-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=625235

Comment 4 Jaromír Cápík 2015-03-31 19:54:44 UTC
Built and tested. Closing.


Note You need to log in before you can comment on or make changes to this bug.